FUNCTION NLengthString, stringlen, number

; Convert a number to a string of length stringlen with 0-fill for higher digits.

   name = STRTRIM( STRING(number), 2)

   IF stringlen EQ 1 THEN BEGIN
     IF number GT 9 THEN BEGIN
        PRINT, 'STOP 1 in NLengthString, number too big'
        STOP
     ENDIF
     RETURN, name
   ENDIF

   IF stringlen EQ 2 THEN BEGIN
     IF number GT 99 THEN BEGIN
        PRINT, 'STOP 2 in NLengthString, number too big'
        STOP
     ENDIF

     if number GE 0 and number LT 10 THEN name = '0' + name
     RETURN, name
   ENDIF

   IF stringlen EQ 3 THEN BEGIN
     IF number GT 999 THEN BEGIN
        PRINT, 'STOP 3 in NLengthString, number too big'
        STOP
     ENDIF

     if number GE 1 and number  LT 10 THEN name = '00' + name
     if number GE 10 and number LT 100 THEN name = '0' + name
     RETURN, name
   ENDIF

   IF stringlen EQ 4 THEN BEGIN
     IF number GT 9999 THEN BEGIN
        PRINT, 'STOP 4 in NLengthString, number too big'
        STOP
     ENDIF

     if number GE 1 and number  LT 10 THEN name = '000' + name
     if number GE 10 and number LT 100 THEN name = '00' + name
     if number GE 100 and number LT 1000 THEN name = '0' + name
     RETURN, name
   ENDIF


END
