; Stolen from Fishbein, 7/12/2004
;

function minterior, plon, plat, blon, blat
   
   nv=n_elements(blon)
   np=n_elements(plon)

   blata=total(blat)/nv
   blona= total(unwrap_lon(blon))/nv

;  PRINT, 'blona = ', blona
;  PRINT, 'blata = ', blata

   IF ABS(blona) GT 360. THEN BEGIN
      scr = -9999
      RETURN, scr
   ENDIF

   map = MAP_PROJ_INIT( 'Cylindrical', CENTER_LATITUDE=blata,  CENTER_LONGITUDE=blona )

   pxy = transpose(MAP_PROJ_FORWARD( plon, plat, map=map))
   bxy = transpose(MAP_PROJ_FORWARD( blon, blat, map=map))

   dxy=rebin( reform(bxy, nv,1,2), nv, np,2) -  $
       rebin( reform(pxy, 1,np,2), nv, np,2) 


   dxy1=shift(dxy,-1,0,0)
   cosines= total(dxy*dxy1,3)

   dxy1=shift(dxy1,0,0,1)
   dxy1(*,*,1)=-dxy1(*,*,1)
   sines  = total(dxy* dxy1,3)

   tangents=atan(sines, cosines)

   scr=abs(total(tangents,1)) gt !pi
 
;   map_set, 0,blata, blona, /cont, /grid, /cyl
;  plots, blon([0,1,2,3,0]), blat([0,1,2,3,0]),  thick=2, color=1
;  oplot, plon, plat, color=2, psym=1, syms=2
;   wait, 1
   return, scr
end
