FUNCTION FindGrans, pplon, pplat, dayboxes, granstart, granend, correct_node

   graninds = [-9999.,-9999.]

   blon = FLTARR(5)
   blat = FLTARR(5)

   node = 0
   ngran = 0
   FOR igran = granstart, granend DO BEGIN

;     readf, u, GBData, format='(i8, 8f12.4, 3i5, f12.4, a4, 3f14.6)'

      blon[*] = dayboxes.boxlons[igran-1,*]
      blat[*] = dayboxes.boxlats[igran-1,*]

;     OPLOT, blon, blat, COLOR = 0

;     HELP, blon
;     HELP, blat
;     PRINT, blon
;     PRINT, blat

      inside = minterior( pplon, pplat, blon, blat )

;     IF inside NE 0 THEN PRINT, 'plon, plat, igran, inside = ', pplon, pplat, igran, inside
;     IF inside NE 0 THEN PRINT, 'igran, inside = ', igran, inside
;     IF inside NE 0 THEN STOP

      IF inside NE 0 AND inside NE -9999 THEN BEGIN

          if(blat[0] gt blat[2]) then  node = -1
          if(blat[0] lt blat[2]) then  node = 1

          if(correct_node eq node) then begin
            IF ngran EQ 0 THEN graninds = [igran, node]
          endif
          if(correct_node eq node) then begin
            IF ngran GT 0 THEN graninds = [graninds, igran, node]
          endif
          if(correct_node eq node) then  ngran = ngran + 1
  
      ENDIF
   ENDFOR

   RETURN, graninds

END
